#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cerr.tie(NULL);
    cout.tie(NULL);

    int n, k, i, j;
    cin >> n >> k;
    int nap[n];
    int x=n-k+1;
    int kom[x]={0};
    for(i=0;i<n;i++)
        cin >> nap[i];
    for(i=0;i<n-k;i++)
    {
        for(j=0;j<k-1;j++)
        {
            if(nap[i]>nap[i+2])
                kom[i]+=nap[i]-nap[i+2];
            else
                kom[i]+=nap[i+2]-nap[i];
        }
    }
    int maxvalue=-99999;
    for(int i=0;i<x;i++)
    {
        if(kom[i]>maxvalue)
            maxvalue=kom[i];
    }
    cout << maxvalue << endl;
    return 0;
}